const { spawn } = require('child_process')
const logger = require('./utils/logger')

const command = './as_test/as-rust.exe'
const args = ['--config=./as_test/config.toml']

const childProcess = spawn(command, args)

childProcess.stdout.on('data', (msg) => {
    logger.info(msg)
})

childProcess.stderr.on('data', (err_msg) => {
    logger.error(err_msg);
});

childProcess.on('close', (code) => {
    logger.info(`子进程退出，退出码 ${code}`);
});
